/*  Read driver for wpa_supplicant from /etc/net/ifaces/<interface>/options
 *
 * Mikhail Efremov <sem@altlinux.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * (C) Copyright 2008 Mikhail Efremov
 */

#include <glib.h>
#include "shvar.h"
#include "wpa_driver_etcnet.h"

char *read_wpa_driver(const char *iface)
{
  char *filepath;
  char *driver = NULL; 
  shvarFile *shf = NULL;

  filepath = g_build_filename("/etc/net/ifaces", iface, "options", NULL);
   if(!filepath)
    goto done;
  
  shf = svNewFile(filepath);
  if(!shf)
    goto done;
  
  driver = svGetValue(shf, "WPA_DRIVER");

 done:
  g_free(filepath);
  if(shf)
    svCloseFile(shf);

  return driver;
}
